using RDH.Data.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace RDH.Data.BLL
{
    public partial interface IPatientInfoBLL
    {
        IEnumerable<PatientInfo> ListPatientInfo();
        IEnumerable<PatientInfo> ListPatientInfoByPage(string strWhere, string orderby, int startIndex, int endIndex);

        List<PatientInfo> ListPatientInfoWithFormulary(DateTime? formularyTimeStart, DateTime? formularyTimeEnd);
        PatientInfo GetByPatientEncounterId(string encounterId);
    }
}
